# Primary class

Primary annotation for marking a primary pod

This annotation marks a pod as primary when multiple pods of the same type exist.

Example Usage:

    @Configuration()
    class PaymentConfig {
      @Pod()
      @Primary()
      PaymentProcessor primaryPaymentProcessor() {
        return StripePaymentProcessor();
      }

      @Pod('paypalProcessor')
      PaymentProcessor paypalPaymentProcessor() {
        return PayPalPaymentProcessor();
      }
    }

Inheritance
  - Object
  - ReflectableAnnotation
  - Primary
Annotations
  - @Target({TargetKind.classType, TargetKind.method})

## Constructors

Primary.new()
  Primary annotation for marking a primary pod
  const

## Properties

annotationType → Type
  Returns the annotation _type of this annotation.
  no setter override
hashCode → int
  Returns a hash code consistent with equality definition.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

equals(Object other) → bool
  Checks whether the given object is logically equivalent to this annotation.
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  Returns a string representation of this annotation.
  override

## Operators

operator ==(Object other) → bool
  Checks if this annotation is equal to another object.
  inherited